%global	project_name	idxd-config
%global	debug_package	%{nil}

Summary:	Configure accelerator subsystem devices
Name:		accel-config
Version:	3.5.3
Release:	5%{?dist}
License:	GPLv2 and LGPLv2+ and MIT and CC0
URL:		https://github.com/intel/%{project_name}
Source0:	%{URL}/archive/%{name}-v%{version}.tar.gz

BuildRequires:	gcc, autoconf, make, automake, libtool
BuildRequires:	asciidoc, xmlto, pkgconfig
BuildRequires:	pkgconfig(libkmod), pkgconfig(uuid), pkgconfig(json-c)
BuildRequires:	pkgconfig(libudev), systemd

Requires:	%{name}-libs = %{version}-%{release}

ExclusiveArch:	x86_64 loongarch64

%description
Utility library for controlling and configuring DSA
(Data-Streaming Accelerator) sub-system in the Linux kernel

%package devel
Summary:	Development files for libaccfg
License:	LGPLv2+
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This package provides libraries and header files for
developing applications that use %{name}.


%package libs
Summary:	Configuration library for accelerator subsystem devices
License:	LGPLv2+ and MIT and CC0
Requires:	%{name} = %{version}-%{release}

%description libs
Libraries for %{name}.

%prep
%autosetup -n %{project_name}-%{name}-v%{version}

%build
echo %{version} > version
./autogen.sh
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%check
make check

%files
%license Documentation/COPYING licenses/BSD-MIT licenses/CC0
%license licenses/accel-config-licenses LICENSE_GPL_2_0
%{_bindir}/%{name}
%{_sysconfdir}/%{name}/contrib/configs/*
%{_mandir}/man1/%{name}*

%files libs
%license accfg/lib/LICENSE_LGPL_2_1
%doc README.md
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.3-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.3-4
- Rebuilt for loongarch release

* Mon Mar 11 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 3.5.3-3
- Add loongarch64 support

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jun 20 2023 kianli <kianli@tencent.com> - 3.5.3-1
- Upgrade to 3.5.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 cunshunxia <cunshunxia@tencent.com> - 3.5.0-1
- initial build
